//
//  C2CViewController.m
//  Cube2Cube
//
//  Created by Zach Stegall on 9/3/13.
//  Copyright (c) 2013 Zach Stegall. All rights reserved.
//

#import "C2CViewController.h"
#import "C2CAppDelegate.h"
#import "ItemsViewController.h"
#import "SarpStore.h"
#import "SARPNameController.h"
#import "SARPExperienceController.h"
#import "SARPProfile.h"

@interface C2CViewController ()
{
    NSManagedObjectContext *context;
}

@end

@implementation C2CViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    
    [[self firstNameTextField]setDelegate:self];
    [[self lastNameTextField]setDelegate:self];
    
    C2CAppDelegate *appDelegate = [[UIApplication sharedApplication]delegate];
    context = [appDelegate managedObjectContext];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)submitSARPButton:(id)sender {
   
    SarpStore *s = [[SarpStore allocWithZone:nil] init];
    [s createItem:[self.firstNameTextField text] lastName:[self.lastNameTextField text]];
    
    SARPNameController *sarpNC = [[SARPNameController alloc] init];
    SARPExperienceController *sarpEC = [[SARPExperienceController alloc] init];
    SARPProfile *sarpP = [[SARPProfile alloc] init];
    
    ItemsViewController *itvc = [[ItemsViewController alloc] initWithNibName:nil bundle:nil];
    NSArray *viewControllers = [NSArray arrayWithObjects:sarpNC, sarpEC, sarpP, nil];
    [itvc setViewControllers:viewControllers];
    
    [[self navigationController] pushViewController:itvc animated:YES];
    
    [itvc setModalTransitionStyle:UIModalTransitionStyleFlipHorizontal];
    //[self.view addSubview:itvc.view];
    //[self presentViewController:sarpNC animated:YES completion:nil];
}

-(BOOL)textFieldShouldReturn:(UITextField *)textField
{
    return [textField resignFirstResponder];
}

@end
