//
//  SARPNameController.m
//  Cube2Cube
//
//  Created by Zach Stegall on 9/3/13.
//  Copyright (c) 2013 Zach Stegall. All rights reserved.
//

#import "SARPNameController.h"
#import "C2CAppDelegate.h"
#import "SarpStore.h"
#import "SARP.h"

@implementation SARPNameController

@synthesize item;

- (id)init
{
    return [super initWithStyle:UITableViewStyleGrouped];
}

- (id)initWithStyle:(UITableViewStyle)style
{
    return [self init];
}


- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView {
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    SarpStore *s = [[SarpStore alloc] init];
    return [[s allItems] count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier];
    }
    
    NSArray *allSarpItems = [[SarpStore sharedStore] allItems];
    NSManagedObject *itemType = [allSarpItems objectAtIndex:[indexPath row]];
    
    NSString *itemLabel = [NSString stringWithFormat:@"%@ %@", [itemType valueForKey:@"firstName"], [itemType valueForKey:@"lastName"]];
    [[cell textLabel] setText:itemLabel];

    return cell;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    SarpStore *s = [[SarpStore alloc] init];
    NSArray *list = [s allItems];
    NSLog(@"Sarps: %d", [list count]);
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    NSArray *allSarpItems = [[SarpStore sharedStore] allItems];
    NSManagedObject *itemType = [allSarpItems objectAtIndex:[indexPath row]];
    [item setFirstName:[itemType valueForKey:@"firstName"]];
    
    [[self navigationController] popViewControllerAnimated:YES];
    
    // Navigation logic may go here. Create and push another view controller.
    /*
      *detailViewController = [ alloc] initWithNibName:@"<#Nib name#>" bundle:nil];
     // ...
     // Pass the selected object to the new view controller.
     [self.navigationController pushViewController:detailViewController animated:YES];
     */
}

@end
